从今天开始,Emacs里面可以运行任何你想要的程序 (Only Linux)


#311

发现 manjaro deepin eaf 打开 pdf 窗口贴合问题,只出现在改变整个 emacs 的大小后,eaf buffer 的 window 显示没有刷新,可以通过split window 或是 select buffer 等操作可以强制刷新,算是个小问题,不影响使用。有空我再换别的窗口管理器试试。


#312

你在改变emacs窗口的大小吗?


#313

是的,改变emacs窗口的大小在我这eaf buffer显示会有点问题,坐标不太对,需要手动刷新一下。


#314

哪位可以发这个库给我 libqt5webenginewidgets.so.5,邮箱 emacs27 dot 163.com 谢谢


#315

sudo apt-file update

然后

sudo apt-file search libqt5webenginewidgets.so.5 就可以找到包, 直接安装就可以了


#316

之前一直是全屏在使用 Emacs, 所以没有测试出来。 已经写了一个补丁: https://github.com/manateelazycat/emacs-application-framework/commit/3a4f3dabd785659585539bcadd46f5b546d52d06

在Emacs窗口变化的时候, 自动调整 eaf view 的大小和位置。

加了一秒的延时, 避免快速改变 emacs 窗口时 eaf view 的频繁闪烁。


#317

perfect :hugs:


#318

Enjoy :wink:


#319

大神,我现在用的是archlinux,使用sudo pacman -Qi libqt5webenginewidgets.so.5没有找到,用debian lived 搜索同样没有结果,搞不懂了


#320

今天完成了加构图的绘制和说明: https://github.com/manateelazycat/emacs-application-framework/blob/master/HACKING.md

感兴趣的同学可以看一看。


#321

如果你是 archlinux, 是怎么安装的? 我推荐的方式是:

    sudo pip3 install dbus-python PyMuPDF grip qrcode pyqt5 python-xlib

Archlinux是最容易安装的


#322

完全按照说明,只是安装pyqt5没有这个包,我的电脑32位,系统是archlinux32.org最新的镜像


#323

我用的debian,python3版本3.5.3。

按这种方法安装,import pyqt5出错,似乎最新版的pyqt5与python3.5.3不兼容。

pip3 install dbus-python PyMuPDF grip qrcode python-xlib
pip3 install pyqt5==5.10.1

这样就可以了。

不过还有个问题,我用的dwm窗口管理器,eaf-open打开文件时,调整窗口宽度。当窗口大于某一宽度时,emacs就失去响应;小于这一宽度,又可以操作了。


#324

这年头还有不支持 64 位的电脑?


#325

估计 dwm 这个窗口管理器对 xlib reparent 的实现不够


#326

请问是debian 9版本吗,我再重装一次Debian


#327

很老的电脑了 我07年学中医开始买的 不是现在


#328

对,Debian stretch


#331

07 年主流 CPU 不管是奔腾 4 还是 Athlon64 都支持 64 位啊,內存大小是否有 4 GB 实际是无关的。


當年 Windows 都装 32 位是因爲針对 64 位优化的软件很少,內存沒有 4 GB 用 64 位优势不明顯,32 位又比較节能。

現在软件大多 64 位化了,更何況 Arch 官方只支持 64 位。


#333

惊现老中医。请问你现在还信中医吗?